/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.jobSolution.domain;

import jp.co.ogis_ri.optaplanner.jobSolution.domain.solver.JobAssignmentDifficultyComparator;
import jp.co.ogis_ri.optaplanner.jobSolution.domain.solver.PeopleStrengthComparator;

import org.optaplanner.core.api.domain.entity.PlanningEntity;
import org.optaplanner.core.api.domain.variable.PlanningVariable;

@PlanningEntity(difficultyComparatorClass = JobAssignmentDifficultyComparator.class)
public class JobAssignment extends AbstractPersistable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private People people;

	private Job job;

	public JobAssignment() {
		super();
	}

	public JobAssignment(final int id, final String name, final Job job) {
		super(id, name);
		this.job = job;
	}

	@PlanningVariable(strengthComparatorClass = PeopleStrengthComparator.class, nullable = true, valueRangeProviderRefs = { "peopleList" })
	public People getPeople() {
		return this.people;
	}

	public void setPeople(final People people) {
		this.people = people;
	}

	public Job getJob() {
		return this.job;
	}

	public void setJob(final Job job) {
		this.job = job;
	}

}
