/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.jobSolution.domain;

import java.util.HashMap;

public class People extends AbstractPersistable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private HashMap<Job, Boolean> skillMap;

	private HashMap<Day, Boolean> attendanceMap;

	public People() {
		super();
	}

	public People(final int id, final String name,
			final HashMap<Job, Boolean> skillMap,
			final HashMap<Day, Boolean> AttendanceMap) {
		super(id, name);
		this.skillMap = skillMap;
		this.attendanceMap = AttendanceMap;
	}

	public HashMap<Job, Boolean> getSkillMap() {
		return this.skillMap;
	}

	public void setSkillMap(final HashMap<Job, Boolean> skillMap) {
		this.skillMap = skillMap;
	}

	public boolean isSkill(final Job job) {
		return this.skillMap.get(job);
	}

	public HashMap<Day, Boolean> getAttendanceMap() {
		return this.attendanceMap;
	}

	public void setAttendanceMap(final HashMap<Day, Boolean> attendanceMap) {
		this.attendanceMap = attendanceMap;
	}

	public boolean isAttendance(final Day day) {
		return this.attendanceMap.get(day);
	}

}
