/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.jobSolution.domain;

public class SolutionParameter extends AbstractPersistable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private int minDay;

	private int maxDay;

	private float intervalDayAverage;

	private float countAverage;

	public SolutionParameter(final int id, final String name) {
		super(id, name);
	}

	public int getMinDay() {
		return this.minDay;
	}

	public void setMinDay(final int minDay) {
		this.minDay = minDay;
	}

	public int getMaxDay() {
		return this.maxDay;
	}

	public void setMaxDay(final int maxDay) {
		this.maxDay = maxDay;
	}

	public float getIntervalDayAverage() {
		return this.intervalDayAverage;
	}

	public void setIntervalDayAverage(final float intervalDayAverage) {
		this.intervalDayAverage = intervalDayAverage;
	}

	public float getCountAverage() {
		return this.countAverage;
	}

	public void setCountAverage(final float countAverage) {
		this.countAverage = countAverage;
	}
}
